What is cam2pc?

cam2pc is a (more and more) complete solution to ease your everyday life with your digital camera. From automatic picture download, to organization and sharing cam2pc has all the features you may need while working with your digital pictures. And of course, the list keeps growing with every new release.

Aimed at the digital photography enthousiast, cam2pc has features for the beginners (like simple picture mailing or slideshow creation) and for the expert users (exhaustive EXIF data management, dead pixel fixing...).

This documentation will help you make the most out of cam2pc so do not hesitate to consult it if you fell unsure about something!


Version history

What's new in cam2pc 3.1
  • Application renamed to cam2pc instead of "cam2pc - An Image Downloader"
  • Configuration wizard added
  • Album management: the album is a collection of images from different folders. The album can be resized, sent by mail or used to create a standalone slideshow (see below).
  • Possibility to send images by mail (with automatic scaling and recompression).
  • Possibility to generate a standalone slideshow (single EXE file with all images embedded).
  • Added batch conversion feature.
  • The image browser can list images with details (size, focal...) instead of thumbnails.
  • The image browser can display a small preview of the selected image (useful in details mode).
  • EXIF thumbnails are now read to create the thumbnails in the browser (faster).
  • The Canon SDK has been upgraded to support latest Canon cameras.
  • Simplified shell integration (no reboots necessary during install/upgrade/uninstall).
  • Renaming files can now be done using EXIF metadata.
  • The renaming in the Browser works the same as in the Downloader.
  • When rotating an image that cannot be losslessly tranformed a confirmation is asked.
  • Customizable toolbar
  • Added compact OSD in Viewer
  • File deletions respect the Windows Recycle Bin settings
  • EXIF thumbnails are now properly updated when losslessly transforming an image.
  • Possibility to add an EXIF comment to images.
  • EXIF data in TIFF files are now properly handled (when rotating/flipping).
  • EXIF data can be saved to disk and reloaded into any image.
  • When a new version is available, cam2pc now downloads the update and runs it.
  • Image editor automatically detected (Photoshop, Photoshop Elements or Paint Shop Pro).
  • XP menus and flat look can now be disabled.
  • Help is now in HTML Help.
  • And much more!


Licensing

cam2pc is a donateware: it means that you do not have to pay for using it but you may donate whatever amount you wish to support the development of the next releases.

There is an exception to this: fixing dead pixels in images. This feature needs to be registered to be fully operational. In a non-registered version, you can fix up to 5 images using this feature. Registering removes this limit and allows you to fix as many images as you want.

Registering cam2pc also brings the following benefits:

  • Mails sent from cam2pc will not include a signature advertising for cam2pc.
  • Standalone slideshows created by cam2pc will not display a dialog at the end advertising for cam2pc.

Other than that, there is no difference between a registered and an unregistered version of cam2pc.

The panorama creation feature requires Stitcher EZ from REALVIZ. Registration for Stitcher EZ is a completly different process and has to be done by REALVIZ. nabocorp does NOT sell licenses for Stitcher EZ.


Contact

cam2pc home page is http://www.nabocorp.com/cam2pc .

If you need any support with cam2pc, please point your favorite browser to the nabocorp support forums: http://forum.nabocorp.com/.

If you want to support cam2pc development, please consider making a donation thru the paypal system. On the nabocorp homepage (http://www.nabocorp.com/) you will find a clickable button on the right side.


Credits

Thanks to REALVIZ for sponsoring cam2pc development.

Sierra Imaging chipset support thanks to the photopc-usb library available at http://www.math.ualberta.ca/imaging/.

EXIF metadata support thanks to the metacam library available at http://www.cheeseplant.org/~daniel/pages/metacam.html.

Thanks to P.J. Naughter for all the Visual C++ components he makes available on his webpage.

Thanks to all the others who wrote stuff they published at http://www.codeproject.com and http://www.codeguru.com that I used...

Thanks to Samy and Frag for all the feedback on the software... Thanks to all who donated to support cam2pc.

Thanks to Marjolaine for letting me do this :-)


Installing cam2pc

There are no special requirements to install cam2pc. All Windows platforms are supported though the USB options are only supported on USB-compatible operating systems (Windows 98, Windows ME, Windows 2000 and Windows XP).

Follow the simple steps of the installation. By default cam2pc will be installed in your Program Files.

It is highly recommended to switch your display to a 32-bit display mode (also called "Millions of colors"). If this is not the case when you first run cam2pc, the program will tell you do so. Viewing images taken with a digital camera in any other mode does not produce the best quality. Launch the Display Control Panel from the Start Menu and go to the Settings tab. There you should be able to choose 32-bit in the Colors combo box.


The Configuration Wizard

The first time you run cam2pc, a Configuration Wizard appears. This Wizard will help you in setting up the main features of cam2pc in a few clicks: image download and file association. If you choose to skip this wizard by clicking the Cancel button, you can rerun it at any time by displaying the cam2pc options and choose the Wizard button.

The wizard is self-explanatory: the purpose of each step is detailed and all the options available are described. You should take the time to carefully read those descriptions.

If you successfully run the Wizard then you can safely skip the sections explaining how to setup file transfer in this documentation.


Associating your image files with cam2pc

cam2pc can be used to display your images (JPEG, TIFF, PNG and BMP files) in a full-screen viewer. The simpler way is to associate cam2pc with those image types. If you successfully ran the Configuration Wizard then the file associations should have been setup properly.

From the Image Browser or Download choose Options. Then go to the Shell Integration section. Click the Select All button or select the types you want to display in cam2pc then click OK.

From now on, double clicking an image file in the Explorer will launch cam2pc.

Windows XP treats images in a particular way. If you associate files with cam2pc, you won't be able to access the default image viewer of Windows XP (which offers printing capability for instance) except for BMP files where cam2pc can't take over the default association. So if you want to read BMP files in cam2pc you'll have to select the "Open With..." item in the Explorer contextual menu of a BMP file, then select cam2pc in the list of applications and check the "Always use..." box. If you still want to be able to use the default XP image viewer, then do not associate image files with cam2pc and use the "Open With..". item when you want to open an image with cam2pc. I know this is a bit tricky but Windows XP behaves quite strangely on this point...


Explorer contextual menu

cam2pc can also be configured to display an additional entry in the contextual menu that appears when you right-click on a folder in Explorer. This menu allows you to easily browse any folder with cam2pc's Image Browser directly from Explorer.

Go to the Shell Integration section of the Options dialog and click the "Integrate cam2pc into Explorer" checkbox.


Uninstalling cam2pc

Uninstalling cam2pc is as straightforward as installing it. Select the "Uninstall cam2pc" entry in Start Menu > Programs > cam2pc or run the "Add/Remove Programs" Control Panel.

If you associated image files with cam2pc, cam2pc will set back the file associations to the state they were before you installed cam2pc.


Setting up your camera

It is very hard to list all the cameras that do work with cam2pc. A list built from the users' experience is being automatically maintained here. Keep in mind that this list is filled by cam2pc users and therefore does not represent a guarantee that cam2pc does effectively work with the cameras listed here.

Before cam2pc can download pictures from your camera you must setup your camera type. The default is to support cameras that appear as removable drives which are assigned a letter (e.g. F:\) in Explorer. If you successfully ran the Configuration Wizard then your camera type should have been automatically detected and been setup properly.

For the USB Auto-connect type of cameras, automatic plug-in detection is supported: as soon as you plug your camera, cam2pc will display the Download dialog (if cam2pc is already running). To differentiate your camera from other removable devices, cam2pc will look for a particular folder on the device. The default value (DCIM) should work for all the standard cameras but you can always change this value in the Camera tab of the Options dialog. For this type of camera you can also automatically unplug it at the end of the file transfer. Check the "Unplug USB..." option and click the Setup button next to it. Make sure your camera is plugged in and switched on while doing this. A window with the list of removable USB device appears. Select the one that matches your camera (my Olympus camera appears as "USB Mass Storage Device @ C-200Z/D-510Z" while a friend's Fujifilm appears as "USB Mass Storage Device @ USB Mass Storage Device") and press OK.

Since version 2.0, cam2pc supports camera based on the Sierra Imaging chipset. This includes:

  • Agfa: ePhoto line of cameras.
  • Epson: PhotoPC (at least 500, 550, 600, 750Z).
  • Sanyo: VPC-G200/G200EX and DSC-X300.
  • Nikon: Coolpix 700, 880, 900, 950 and 990.

If your camera uses a serial connection, you will also have to specify the COM port to which your camera is connected.

For these cameras, there is no automatic detection. Once you have plugged your camera you will have to run the downloader manually (by right-clicking the cam2pc tray icon).

The software has been tested with a Nikon Coolpix 990. NikonView was not installed but the USB drivers (found at the root of NikonView program) were installed. NikonView will run into conflict with cam2pc so you will probably have to uninstall NikonView and reboot your computer before using cam2pc to download images from your Coolpix camera. Again I have not tested that extensively so if you do not know what you are doing then follow these recommendations.

Since version 3.0, cam2pc support the following Canon cameras:

  • PowerShot A10, PowerShot A20, PowerShot A30, PowerShot A40,
    PowerShot A100
  • PowerShot S10, PowerShot S20, PowerShot S30, PowerShot S40
  • PowerShot S100, IXY DIGITAL, DIGITAL IXUS
  • PowerShot S110, IXY DIGITAL 200, DIGITAL IXUS v
  • PowerShot S200, IXY DIGITAL 200a, DIGITAL IXUS v2,
  • PowerShot S300, IXY DIGITAL 300, DIGITAL IXUS 300
  • PowerShot S330, IXY DIGITAL 300a, DIGITAL IXUS 330,
  • PowerShot G1, PowerShot G2
  • PowerShot Pro90 IS
  • EOS D30, D60

Version 3.1 added support for the following Canon cameras:

  • PowerShot A200
  • PowerShot S45
  • PowerShot G3
  • Digital IXUS v3
  • EOS-1Ds

To activate the Canon options you must first download an additional components on cam2pc website. Please check the download section of cam2pc on nabocorp website. Once you have downloaded installed the Canon camera support component the Canon option should be enabled.

You can have cam2pc to be automatically launched when you plug your camera in. Go to Start > Setting > Control Panel. Then go to the "Scanners and Cameras" panel. Select your camera and click the properties panel. Go to the Events tab and select the "Camera is detected event". cam2pc should be listed here: select it if this is not the case. If cam2pc is the only application selected then it will be run automatically the next time you plug your camera in. If several applications are selected then a small dialog asking you to choose between the different applications will appear on camera connection (although there seems to be a bug on some systems: if the dialog does pops up and does not contain any application then you'll have to select only one application in the Control Panel. This is NOT a cam2pc bug).


A simple download

Now that our camera is configured we will download our first images. Connect your camera and run the downloader if needed (if your camera is detected the downloader should run automatically). The following window appears:

The top of the window sets what we want to do: copy or move files from a location (here a auto-connect device that was assigned the F: letter) to a directory. For you first transfer it is recommended to select a Copy operation to make sure you do not lose your pictures. Once you are familiar with cam2pc you can switch to "Move".

By default, the destination is set to the My Pictures folder. You can change the destination by clicking the folder button on the right and choose an existing folder. Also, you can type in directly the name of a folder in the text field. If you specify a directory that does not exist, it will be created for you automatically.

The source text field is disabled for Sierra-Imaging based cameras and Canon cameras.

Then you can specify if you want to keep the folder hierarchy defined on your memory card. You should leave this to Flatten as most cameras do not support folder creation on the memory card. If you camera does and you care about this then simply switch to "Keep directory structure".

The last pane indicates what you can do once you have transferred your images:

  • Close the download dialog
  • Set the read-only attribute on transferred files to avoid unwanted file deletion
  • Fix dead and hot pixels (see Dead/hot pixels removal)
  • Transform images based on EXIF orientation tag (see Rotate and Flip)
  • Browse the transferred images in the Image Browser
  • View the transferred images in the full-screen viewer (you can also start the slideshow immediately)
  • Open the folder to where the images were transferred in Explorer
  • Launch the associated application (of course this does not make sense if you associated image files with cam2pc).

You can select any number of theses actions. They will be executed sequentially: if you choose "Browse" and "Full-screen viewer" then full-screen viewer will not appear until you close the Image Browser.

Once you have set all these options, then simply click the OK button. The image will be copied or moved depending on your choice and the actions you selected will be performed.

Click the Close button to hide the dialog without transferring pictures or at the end of a transfer if you did not select the "Close this window" option.

Automatic download

You can setup cam2pc so that the download dialog does not appear when you plug your camera but rather to have cam2pc automatically transfer your pictures using the options you used last.

Go to the Miscellaneous section of the Options and select the "auto-download" feature. Also if you know what you are doing and do not want to be prompted when cam2pc is overwriting a file then activate the "Answer YES TO ALL"" option.

Please note that this option only works with USB Auto-connect cameras.


Using masks

The real power of cam2pc is to be able to create destination directories for your pictures based on switches.

The benefit of masks is that you start to organize your images as soon as you transfer them to your PC. The available switches allow you to easily format a date in the new name and also have a free text range in it. If you successfully ran the Configuration Wizard then the mask should have been automatically setup. Still, you can tweak the settings defined by the Wizard.

For instance, you could use the following mask: [%Y-%m-%d] %P. The advantage of this mask is that your images will be sorted chronologically in Explorer (see the Image Browser screenshot later).

When you transfer your images, %Y will be replaced by the current year on 4 digits, %m by the current month on 2 digits and %d by the current date on 2 digits. %P will be replaced by a text you will be able to enter when you transfer. Of course, each time you transfer new images you will be prompted for a new text for the %P switch. The prompt window looks like:

A thumbnail is displayed so you can quickly identify the pictures you are transferring and set the appropriate description. Unfortunately, most camera makers do not include thumbnails in TIFF images and as these images are very quite big, it would not make sense to transfer the whole image just to display a thumbnail.

Therefore if you transfer pictures on the 23rd of June 2002 that you shot say in Paris, you will enter "Paris" when prompted and cam2pc will automatically create a new folder called "[2002-06-23] Paris".

Most of the time, you will not want to use the transfer date to initialize but the date that the pictures were shot. In that case, you can put all the pictures located on your memory card in the same directory whatever the day they were shot by selecting "Initialize date with first picture date". Of course you will still be prompted for a description if you used the %P switch.

You can also want to group pictures by day of shooting. Select the last option: "Get date for each individual picture". In that case cam2pc will prompt you for a description for each different day of shooting of your images.

You can click the "OK for remaining" button in the prompt window if you want to use the current date and description for all the remaining images. You can also click the "Recall" to re-use the previous day and description.

For instance suppose you shot pictures in Paris on the 23rd and 24th and pictures in London on the 25th, 26th and 27th of June, 2002. Suppose also that you want to put all the Paris images in one folder and all the London pictures in another one. In that case you will enter Paris in the description for the first set of images (23rd). Then when prompted for the images taken on the 24th, click "Recall" and then "OK" as we want to use the same folder. Then for the 25th enter London and here you can click "OK for remaining" as all the remaining images will be put in the same folder. If you used the mask defined above then two folders will be created by cam2pc: "[2002-06-23] Paris" and "[2002-06-25] London".

And that’s it, your images are automatically organized for you in folders named with understandable descriptions and all you had to do is to provide those descriptions!

All the available switches appear in the above screenshot. The menu of the screenshot was displayed by clicking on the small arrow button. Each switch is described in the menu.


Renaming Files

You may also want to rename files as they are transferred. Renaming works the same way as Masks do except you have some more switches. If you successfully ran the Configuration Wizard then the renaming should have been automatically setup. Still, you can tweak the settings defined by the Wizard.

The additional switches are ones that will be replaced by the original name and/or extension of the image being transferred. You also have switches that allow you to use EXIF information to rename your files.

Also you can have cam2pc automatically number your images for you. Use the %{num:} switches. The one with the "a" specify that the number should be automatically padded by cam2pc. If you transfer 99 images, cam2pc will number them from 01 to 99, if you transfer 100 images, the numbers will range from 001 to 100. The other version allows you to force the padding length to a desired value. If you want to always have 4 digits whatever the number of images transfer, then use %{num:4}.

If you use numbering, you should leave the "Keep record" to avoid duplicates" enabled especially if you transfer your pictures always to the same directory. In that case cam2pc will record the last number used when it transferred your images. The next time you transfer images to the same directory, cam2pc will use this record to start numbering your images to avoid conflicts. For instance a first transfer could have created files image01.jpg to image04.jpg. The next transfer will automatically start at 5 creating image image05.jpg and following"

If you do not want the numbering to start over with each directory select the "Use a global counter" option. In that case cam2pc will increment the counter for each image wherever it is transferred to. You can change the value assigned to the next transferred image by changing the "Next ID" value. When you do this you should take care to not use an already used number or you may get into filenames conflicts. This option is useful for owners of cameras that are not able to keep the numbering from one session to the other like the Fujifilm S602.

If you use the %P switch, you will be prompted only once for all the images. Entering a description for each individual file could take a long time especially after a 3 week holiday in Europe"


The Image Browser

The Image Browser is used to navigate through your folders and display your images.

Notice in the tree (on the left side) how all my images were organized using cam2pc

The Image Browser is really simple: on the left side appears a tree showing all drives (local and network). For easier access, the tree also shows a shortcut to your "My Documents" and "My Pictures" folders. You can navigate through the directories as you would in Windows Explorer. On the right side is the Image Browser which displays thumbnails for all the images located in a selected folder. Simply click on a folder in the tree and the Image Browser will be updated. You can change the type of files listed in the Image Browser in the options: you may choose between Images only, Images and movies or All files. If you choose All files, then you can double-click on any file to have it run its associated application.

You can switch the thumbnails view to a details view. In that case your images will be listed and you will be able to quickly see important information about each image: file size, image dimensions, image format and EXIF information (such as Exposure, Focal Length...). You can customize the columns you want to display in the details view by right-clicking on the column headers.

As soon as you switch to the details view, the bottom of the tree is replaced by a preview area. Select on an image in the details view and you will see a preview of it in this area. The fact that this preview area automatically appears in details view and disappears in thumbnail views can be disabled in the Options.

By default, thumbnails of the Image Browser are cached on disk. The first time you visit a folder, cam2pc has to create a thumbnail for every image in that folder. The process is fast but can take some time if there is a lot of images. The next time you visit the folder, cam2pc will use the thumbnails stored in its database and therefore all the thumbnails will appear very fast.

You can change the respective widths of the tree and Image Browser by dragging the vertical bar that separates them. You can also hide the tree in the View menu and have the Image Browser occupy the whole width of the window. In that case you might also want to enable the display of folders in the Image Browser so you can still easily navigate through your folders.

If you right-click on a folder in the tree, a contextual menu will appear offering different choices like creating a sub-directory to that folder, renaming it or deleting it.

You can also force the update of the thumbnails of that particular directory. In that case, cam2pc will simply throw away the thumbnails it already has for the images and create new ones.

The following option in this menu is to launch a recursive slideshow: cam2pc will find all the images in the clicked folder and all its sub-folders and make a slideshow of the found images.


Working with your images

You can select images in the Image Browser and perform some actions on them. Clicking on an image will discard any previous selection and select the clicked image. You can also click and drag in the Image Browser to select multiple images at the same time. After having selected an image you can Shift-click another one to have cam2pc select all the images between those two images.

If you hold the Control key when performing one of those operations, cam2pc will not discard the current selection but will instead add the selected images to the selection. You can also press Ctrl+A to select all the images, Shift+D to select all the images shot at the same date as the one currently selected or press Shift+Ctrl+A to select all files (sub folders, images, movies...).

To perform actions in the Image Browser you can use the standard menu, the contextual menu or the keyboard shortcuts listed on the right of each command in the menus. You can also use the toolbar which contains shortcuts to the most-used commands. The set of icons displayed can be customized by right clicking on the toolbar and choosing Customize or by selecting Customize Toolbar in the Options menu.

The actions you can perform on the selected files depend on the type of files and the number of items selected: obviously you cannot set two images as your wallpaper so if several images are selected the "Set as wallpaper" command will be disabled.

If you move the mouse cursor over an image and then leave it over without moving, a small window will appear listing some information on the file (name, file size, creation date, image format, image size). You can change the delay after which this information pops up in the Options.

If you right-click on an image, the 3rd line of the contextual menu will display "Edit Image(s)". Select the option: if you have not done it yet, cam2pc will allow you to define an external image editor. You can use any Image Editor you like (Photoshop, Paint Shop Pro...): browse to the installation folder of this package and choose the right program file. Once the Image Editor is defined, it will be launched and set to open all the selected files.

If you right-click on a movie file (.avi, .mpg or .mov), the 3rd line of the contextual menu will display "Play movie". Select this option to have cam2pc play the movie in a mini-viewer directly integrated in the Image Browser. Press the Escape key to stop the playing. If you prefer to view the movie in the normal viewer, simply double-click on it.


Selecting images

Copy/Cut/Paste

For a fast copy or move of files you can use cam2pc's internal clipboard. Simply select your pictures and select Edit > Copy if you want to copy the files and Edit > Cut if you want to move them. A little icon will appear in the lower-right corner of those images to indicate that they are in the clipboard. Then use the folder tree to go to the destination folder and simply select Edit > Paste.


Batch renaming

Batch renaming works the same way as renaming on the fly does: it uses the same set of switches. A small set of default renaming schemes is available (like Change extension to lowercase) but if you want to have complete control on how to rename the pictures you can choose the Customoption that will let you define your own mask.

In that case click on the arrow button on the right of the new name field to get a list of all the switches available. The switches are gathered into categories to ease their access in the menu. If you are not sure of your mask then check the Preview changes box. When you click OK cam2pc will show you how each image will be renamed and you will have the possibility to press Cancel if the result is not what you intended.

For instance in the "New name" field specify: DSCN%{num:4}.%{EXT}. Choose a number from which to start. Suppose you have the files Paris.jpg, London.TIF and Madrid.Bmp. Then the three files will be respectively renamed to: DSNC0001.JPG, DSCN0002.TIF and DSCN0003.BMP.

The batch renaming feature of cam2pc is very powerful and lets you rename your pictures exactly as you want!


Rotate and Flip

cam2pc supports JPEG lossless transformations. It means that when it needs to rotate a JPEG image, it does not need to decompress the image, rotate it and then recompress it. This would lead to a quality loss and should be avoided.

If the images you selected cannot be losslessly rotated (non-JPEG files or JPEG files which do not match the lossless criterias) then you will be prompted whether or not you want to perform a lossy transformation.

Some cameras write the orientation of the camera when each photo was shot. To determine this, take a picture with your camera holding it not the normal landscape way. Then transfer your picture and display the EXIF metadata for the picture. Look for the value of the [Orientation] tag. If its value is 1 then your camera does not support this feature. If its value is different is different than 1 then you can use the "Auto-transform" feature that will automatically turn your pictures to the right orientation!

In this case, you can even activate the "Auto-transform" feature at transfer time...


Batch conversion

cam2pc allows you to convert images in batch. Converting an image is the process of saving images to another image format. You may wish comvert your TIF files to JPEG to save some disk space for instance. If you want to resize and convert your images at the same time then look at If you do not check "Rename" or "Output to", your images will be replaced by the converted ones. To avoid that, you can:

  • Rename the images by adding a prefix and/or a suffix to the original image (e.g. rename image01.jpg to image01_small.jpg)
  • Output the converted images to a different directory. Click on the folder button to browse your computer for a destination folder.

Of course, you can rename and output to a different directory at the same time.

The last option allows you preserve EXIF metadata when doing the conversion. Keep in mind that only TIFF and JPEG file formats are able to store EXIF metadata.


Batch resizing

cam2pc allows you to resize images in batch. This comes very handy if you want to publish your images on the web and need to resize them so that people can download them on a standard dial-up connection.

You can resize images in many different ways. One thing you might always want to do is to keep the aspect ratio of your images. So you will either specify a target width or a target height and check the "Keep ratio" option for the other dimension.

For instance you might want that all your pictures are 640 pixel wide so you specify 640 pixels in the Width text field and you check the "Keep ratio" option on the Height line.

The problem in doing this is that landscape images will usually be resized to something like 640x480 as they are wider than tall. But for portrait shots it is the contrary: they are taller than wide and as we keep the aspect ratio they will be resized to 640x968 which is much bigger than what we planed.

In that case you can resize images along the largest dimension. If you specify 640 for the largest dimension, landscape images will be resized to 640x480 and portrait ones to 480x640. The largest dimension is always set to 640 thus all our images do have the same size in surface.

If you do not check "Rename" or "Output to", your images will be replaced by the resized ones. To avoid that, you can:

  • Rename the images by adding a prefix and/or a suffix to the original image (e.g. rename image01.jpg to image01_small.jpg)
  • Output the resized images to a different directory. Click on the folder button to browse your computer for a destination folder.

Of course, you can rename and output to a different directory at the same time.

Click on the "More >>" button to be able to modify the Resizing method and the output format.

In most cases you should leave the Resizing method to Bilinear. The Fast method will produce bad quality images but will be very fast. If you resize your images to very small thumbnails (less than 100 pixels) then you can switch to Lanczos or Mitchell which will produce higher quality results but are much slower.

The output format is set by default to the same at the input images. You can force a format conversion at the same time of the resizing.

The last option allows you preserve EXIF metadata when doing the resizing. Keep in mind that only TIFF and JPEG file formats are able to store EXIF metadata.


EXIF metadata

cam2pc is able to display EXIF metadata. EXIF metadata are special tags embedded into images by digital cameras indicating information about the shooting: date and time, resolution, exposure setting, white balance setting, ISO rating...

EXIF data also contains a thumbnail image. This thumbnail image is built by your camera at time of shooting. Some software (including earlier versions of cam2pc) did not update properly this thumbnail when updating the image. The thumbnail may therefore not reflect the current state of the image. cam2pc allows you to update the thumbnail. You may also want to discard the thumbnail which saves some disk space (~10KB for a picture).

EXIF data also contains a free comment field. cam2pc allows you to edit this comment and enter whatever text you like. This comment is displayed in the details view of the Image Browser. Future versions of cam2pc may use this comment field for Web publishing for instance.


Advanced EXIF data manipulation

cam2pc 3.1 introduces a set of new features aimed at managing the EXIF metadata embedded with images. These features are quite new and have been tested on as much image files as possible but there is still a possibility that some special file formats might not be recognized properly. In that case, cam2pc may corrupt your images making them impossible to be read back. That's why it is more than highly recommended to test this set of features on a backup of your images in order to make sure that cam2pc is compatible with your pictures. If you find cam2pc to corrupt your images then please contact nabocorp so we can add your images to our test database and make sure cam2pc works with them! As stated in the license agreement, nabocorp cannot be held responsible for any data loss.

In order to save some bandwidth when you send images or whatever, cam2pc is able to discard the EXIF thumbnail of the selected images. You can save even more bandwidth and discard the whole EXIF metadata for the selected files. Those two options can be found in the Image menu.

The EXIF thumbnail embedded in the image is rarely updated by image manipulation tools. Some tools (like cam2pc) use this thumbnail to create the Image Browser thumbnail. In that case the thumbnail extracted by cam2pc will not reflect what the image looks like. You can have cam2pc update the EXIF thumbnails of the selected images by choosing this option in the Image menu.

Last set of advanced EXIF manipulation fonctions is the ability to save EXIF metadata to disk and to load it back from disk. This is useful is for instance you plan to edit an image in a tool that you do know does not preserve EXIF metadata (like Adobe Photoshop 6.0 or earlier versions). In this case, just save the EXIF metadata to disk, retouch your picture and reload the metadata from disk!


Dead/Hot pixels removal

If you want to follow a quick tutorial on this feature then download and unzip this file (1 Mb download) and read the tutorial.html included. This tutorial does not cover all the aspects of the feature and it is still recommended to read the documentation. Though it quickly shows all the benefits of using the dead pixel removal feature of cam2pc.

Dead or Hot pixels are pixels that are defective on a digital camera. The way they affect your images may vary depending on the nature of the defect and the camera itself. For instance, all my pictures do exhibit a small green area next to the upper-left corner of my images:

Fixing this can take a long time: you have to open each picture in an Image Editor, retouch it so restore the image then save it. Also if your images are in the JPEG format, you'll recompress the whole image thus loosing additional information because of the lossy nature of the JPEG algorithm. To avoid this you could always save the image to TIFF or to a 100% quality JPEG but the images will be bigger and eat more of your disk space.

cam2pc has all you need to perfectly fix those images without any of these issues: cam2pc is able to automatically fix your images and then save them to their original format. Moreover, if the image was JPEG then cam2pc is able to only recompress the small part of the image that was retouched leaving all the rest (meaning 99% of your image) completely untouched and not recompressed.

To simply illustrate this here are two images. The first one is the difference between an original image and the retouched one saved as 100% quality JPEG file. A black pixel means that the two images were identical for that particular pixel. Any thing other than black means that the two images were different at that position. The second image is the difference between the original image and the one retouched with cam2pc.

I think those images speak for themselves. Notice the only non-black small area in the cam2pc retouched image in the upper left corner exactly where our green area resides... Also let me list you the file sizes:

  • Original: 695 250 bytes
  • Manually retouched: 808 731 bytes
  • cam2pc retouched: 695 176 bytes

Okay now that you have understood the huge benefit of using cam2pc to remove the dead pixels of your images, let's see how to use it.

The best way to setup cam2pc is to shoot a picture with the lens cap on to get a "black frame". If your camera does not have a lens cap you can hold the lens against a black cloth to get as little light as possible. In both cases you should manually disable the flash. You should take a picture for each resolution that your camera supports. You can even take a picture for each resolution and each compression level that your camera supports. I know this can lead a big number of pictures but you'll have to do this only once and this gives the best results!

Another way to setup cam2pc is to select a set of images of identical resolution. You should select at least 10 different images. This method is easier to use but takes longer to process and can lead to unpredictable results... If it does not work properly this way then you should use the black frame method.

So now that you have your pictures click the Add button in the Dead Pixels dialog. If you use the black frame method then select one of the pictures. If you use the multiple images method then multiple select all the images. Click OK. cam2pc will process the picture(s) and automatically detect the dead pixels in them. Once it has finished, cam2pc tells you the number of dead pixels found and asks you to review them. If the number looks unrealistic then press Cancel to discard result. If you are confident in cam2pc then choose not to review the dead pixels.

If you choose to review them you will be presented with the picture you used with the dead pixels highlighted. You can use the Page Up and Page Down keys to toggle the highlighting of the dead pixels. Press Escape when you are finished. cam2pc now asks you if you want to keep those dead pixels or not. You can always manually remove unwanted dead pixels so if you see a small number of unwanted ones then keep those dead pixels: you'll manually edit them later.

If you chose to keep those dead pixels, cam2pc needs to know for which image those dead pixels are valid. The default value is the safer and assumes that you have taken one picture for each resolution at each compression level. If this is not the case the go up in the options. The upper you go the less safe it is...

Repeat the process for each black frame picture or set of images that you have. You can restrict this to the resolutions you use on your camera: if you never shoot in 640x480 then no need to detect the dead pixels for that resolution...

If you want to manually edit the list of dead pixels press the More button and select one of the resolutions in the list box. All the dead pixels found for that particular resolution will be listed and you'll be able to add or delete pixels.

Once this is done, you have to choose how the image should be processed: replace original images, output to another folder, rename... Those options are pretty much self-explanatory.

Once you have setup everything click OK. Select some images that you want to fix in the Image Browser and select Process Dead Pixels. cam2pc will automatically find the right dead pixels list for each image depending on the resolution and the compression level. In a few seconds all your images will be processed and fixed. If cam2pc does not find any matching dead pixels list for an image, it will leave it untouched.

You can also activate the Dead pixels removal feature while transferring pictures from your camera to your PC. Using this, will make you completely forget about the defect of your camera as all your images will get to your PC already retouched with image quality loss!


Thumbnail database

By default, thumbnails are cached in a database in order to speed up browsing. You can disable this behavior (which takes some hard disk space) by going to the Browser tab in the Options dialog.

If you enabled the thumbnail caching then you might want to optimize the database from time to time. When you delete images, thumbnails are not explicitly removed from the database so the space needed for the thumbnail is still occupied on disk but cannot be reused. Running a database optimization will clean up the database and remove all those not-needed-anymore thumbnails.

You can also completely wipe out the database. Of course, if you have not disabled the thumbnail caching then cam2pc will immediately recreate the database file to store new thumbnails. If you delete a database and have not disabled the caching, then cam2pc will ask you if you want to disable it or not.


The Album

The album is an image container which is the starting point for creating stuff from your images or sharing your images. The album allows you to gather images from different directories and produce content out of them like:

  • Easily send pictures by mail
  • Produce a standalone slideshow
  • Creating a panoramic images

Managing the content of the album is really easy. Select images you want to add to the album in the Image Browser window and simply hit the * key. The selected images will be added to the album and the album window will be automatically displayed. If you want to remove images from the album simply select them in the Browser or in the Album window and hit the / key. It is recommended to use the * and / keys on your numeric keypad for an easier usage. You also have a command to empty the Album at once.

Images in the Album can be reorganized simply by selecting and dragging them. A vertical line constantly indicates the new position of the dragged images if you release the mouse button.

Once images are in the Album, then simply choose one of the albums command in the Album menu or hit one the buttons on the toolbar of the Album window. Slideshow album simply displays the images of the album in a full-screen slideshow. If you want to build such a slideshow and be able to share it with friends then choose Build Slideshow from Album.

Resize album allows you resize all the images of the album with the same settings. Used in conjunction with the fact the the Resize tool can be told to output all the images in the same folder, this is an ideal way of preparing images before publishing them on the Web or whatever.


Building a slideshow

There are times that you may want to share pictures with your family and friends but do not want to worry if the recipient will have the right tools installed on his PC to see your pictures. Then building a standalone slideshow is the solution. When you choose this option, cam2pc will package in single executable file all what is needed for someone to see your pictures: a full-screen viewer program and of course all your images. Send this single file by mail and you are sure that your family will see your pictures as you intended to.

Images in a slideshow must be in JPEG format (this is done to reduce the size of the final file). So you have to at least convert all your images to JPEG. You may also want to resize them to reduce the final file size as much as possible.

In both cases you can set the JPEG Quality (0 means low quality and small file size, 100 means high quality and big file size). If you are not sure how a JPEG Quality setting really affects the viewing quality simply enter the desired value and hit the Preview button. Your images will be displayed full-screen with the exact Quality setting you have set. Hit Page Up and Page Down to cycle through your images and Escape to leave the Preview. Note that when you leave the Preview the Total Size field will have been updated. If you want to refresh the file size without previewing the result hit the Refresh button.

If you choose to Resize anc Convert to JPEG then you will also have to set the final image size. The size you specify is always the largest dimension of your image. So if you have a 800x600 pixels image and you specify 640 for the new size, it will be resized to 640x480. If the image was 600x800 it would have been resized to 480x640. Carefully choosing the resize size and the JPEG Quality will maximize the viewer's experience while minimizing the slideshow file size.

For a really neat slideshow, you can also add a background music that will be played while the images are displayed. Click the checkbox and browse for a sound file. Of course the MP3 format is recommended as MP3 files are much smaller than Wave files but keep in mind then a single song on MP3 weighs around 4MB so it is no negligible download time on a standard modem.


Mailing the album

Mailing the album allows you to send your favorites pictures to your family and friends without worrying about the total size of your mail and the time that it will take them to download your pictures. In a few clicks, you can customize the size and compression of the attached images, check for the total size of your mail and even check the image quality!

Sending mails from cam2pc requires to have a SMTP account. SMTP is the basic protocol for sending mails on the Internet. Your ISP should have given you the necessary details to configure Outlook or Outlook Express and you can enter the exact same values in the Options of cam2pc to configure the mail. cam2pc also has the ability to scan your PC for Outlook and Outlook Express mail accounts therefore making cam2pc configuration a single click away!

The mail interface allows you to pick recipients in your Address Book and enter your message text. By default the mail sent is in HTML format and therefore you can use bold, italic... texts, change the fonts and use colors. If you prefer to switch to Plain Text format then all these attributes won't be available.

Attaching images is done automatically by cam2pc. You can choose to attach the images as they are (make sure the final mail size stays reasonnable) or convert them to JPEG or convert and resize them to JPEG. The set of options is the same as when building a slideshow and the mail interface works basically the same. So please refer to Building a slideshow for details.


Assembling a panorama

Assembling a panorama requires Stitcher EZ from REALVIZ. REALVIZ is the leading company in professional panorama creation softwares and Stitcher EZ is the consumer version of their Stitcher software. Stitcher EZ brings you the the professional quality of Stitcher®, together with the simplicity of a full automatic mode.

If Stitcher EZ is installed (be it the trial or registered version), then cam2pc will send the pictures of your album directly to Stitcher EZ. Simply select the type of project in Stitcher EZ and all the images of your albums will be automatically loaded. You just have to hit the Process button to assemble your panorama!


The Image Viewer

The full-screen viewer is the best place to display your images.

You get in the full-screen viewer when you double click a thumbnail in the Image Browser or when you select the View Full-Screen option.

If you associated image files with cam2pc then double clicking an image file in Windows Explorer also brings the full-screen viewer.

Once in full-screen mode, you can use the following keys to navigate through the images in your folder:

  • Page Up or Space to go to the next image
  • Page Down or Backspace to go to the previous image
  • Home to go to the first image
  • End to go to the last image

If you are displaying the last image of a folder and you press the Next image key, then cam2pc will display the first image of the folder and a little green icon will appear during one second in the upper-right corner of the screen.

For more options, right click anywhere to display a contextual menu with all the options available. You will notice that some commands that were available in the Image Browser are also available here (EXIF metadata, Delete Image...).

To leave the full-screen viewer, simply press the Escape key.


Display options

The full-screen viewer supports a numerous set of options. One of the more important is the High Quality scaling which is enabled by default. It makes the viewing of image slightly slower but dramatically improves display quality. Check this sample to get an idea: this image is slightly bigger than my display. To display it full-screen it therefore has to be scaled down a bit. On the left is a crop without the HQ scaling. On the right is the same crop with the HQ option on... See for yourself!

Other options include zooming, automatic fitting to the screen and much more. Zooming is done with the + and - keys. Once you have zoomed to a point where the image is larger than your display then you can move the image with the arrow keys or by dragging the image.

The default options should be okay for most users. If you want to change them you probably know what you are doing... One remark: it is not recommended to enable auto-fitting and enlarge as this will display any image (even very small images) full-screen which could lead to a very poor display.

You can also display file information over the image. There are different levels of information you can display. You can toggle the display by pressing the I (as in 'I am') key. You can change the foreground color and the background mode in the Options dialog. If the color chosen is not readable for a particular image you can try to cycle thru different colors with the C key.

Lastly, if you want to inspect the color of a particular pixel, select the "Toggle Pixel-Under-Cursor Display" option in the contextual menu. The color of the pixel under the cursor will be displayed in the lower left corner of the screen. Move the cursor over the image to inspect other pixels.


Slideshow

To enable the slideshow mode simply press the S key. This will display all your images switching from one image to the next automatically after some delay. During a slideshow, an icon appears in the upper right corner of the screen.

You can change some options by going to the Slideshow tab of the Options dialog. You can change the delay between images, set the random order... You can also pick your favorite MP3 file and have cam2pc play it during the slideshow!


Cropping

cam2pc is also able to crop your images. While displaying an image choose the Crop option from the popup menu. The cursor should change indicating that the cropping mode is engaged. Now click and drag around the part of the image that you want to keep. cam2pc will darken the part of the image that will be discarded and indicates the size of the defined crop area. You can edit the crop area by dragging the various handles located around it.

Once you are satisfied with the area, right-click and select the Crop option. cam2pc will ask you for a filename to save the cropped image. You can change the file format of the new image. If you select JPEG then you will be asked for the JPEG Quality. Choose 100 for a minimum compression resulting in the best image quality.

When the image you are cropping is a JPEG file, cam2pc is able to do lossless compression. Lossless compression means that the cropped image will not be recompressed resulting in image detail loss. Instead cam2pc will simply extract the compressed information from the original image and rewrite exactly identical in the new file. Therefore, you will not be prompted for the JPEG quality of the new file as there is no recompression happening. To be able to do this, the cropping are must match certain criterions that depend on the original file. If you select Lossless crop in the contextual menu then the area will be adjusted to match those criterions. If you want to check those adjustments before cropping you can select the "Adjust crop area for lossless cropping" in the contextual menu.


Wallpapering

cam2pc has the ability to set any image as your desktop wallpaper. This option is available in the Image Browser and in the full-screen viewer.

One other interesting option is the possibility to have cam2pc regularly update your desktop wallpaper with an image randomly picked in a folder.

You can enable this in the Wallpaper tab of the Options dialog. Set the time between two updates (in hour/minute/second), select a folder and enable the recursive option if you want cam2pc to take all the sub-folders into account.

Please note that this option requires the cam2pc tray icon to run permanently on your PC.